package com.xjrsoft.module.base.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.base.dto.WhitelistManagementPageDto;
import com.xjrsoft.module.base.entity.TreeNode;
import com.xjrsoft.module.base.entity.WhitelistManagement;
import com.xjrsoft.module.base.vo.WhitelistManagementPageVo;

import java.util.List;
import java.util.Map;

/**
* @title: 白名单管理
* @Author brealinxx
* @Date: 2024-06-24
* @Version 1.0
*/

public interface IWhitelistManagementService extends MPJBaseService<WhitelistManagement> {
    Page<WhitelistManagementPageVo> getPage(Page<Object> objectPage, WhitelistManagementPageDto dto);

    String GetName(String name);

    String GetCredentialNumber(String credentialNumber);

    String GetPhone(String l);

    Long getUserId(String credentialNumber);

    boolean checkExist(String credentialNumber);

    List<TreeNode> getTreeStructure();

    /**
     * 所有学生电信开卡用户缓存
     */
    void loadCaches();

    List<Map<Integer, Object>> importData(List<Map<Integer, Object>> savedDataList);

    List<Map<Integer, Object>> activateImport(List<Map<Integer, Object>> savedDataList);

    List<WhitelistManagement> getCachesList();
}
